Commit fcf19f1a authored by Erik Verbruggen's avatar Erik Verbruggen
Browse files

Renamed the DUI editor to QML editor.

parent df13733b
include(duieditor_dependencies.pri)
LIBS *= -l$$qtLibraryTarget(DuiEditor)
\ No newline at end of file
<RCC>
<qresource prefix="/duieditor" >
<file>DuiEditor.mimetypes.xml</file>
</qresource>
</RCC>
#ifndef DUIEDITOR_GLOBAL_H
#define DUIEDITOR_GLOBAL_H
#include <QtGlobal>
#if defined(DUIEDITOR_LIBRARY)
# define DUIEDITOR_EXPORT Q_DECL_EXPORT
#else
# define DUIEDITOR_EXPORT Q_DECL_IMPORT
#endif
#endif // DUIEDITOR_GLOBAL_H
......@@ -32,7 +32,7 @@ SUBDIRS = plugin_coreplugin \
plugin_designer \
plugin_resourceeditor \
plugin_genericprojectmanager \
plugin_duieditor \
plugin_qmleditor \
plugin_qmlprojectmanager \
debugger/dumper.pro
......@@ -169,12 +169,12 @@ plugin_genericprojectmanager.depends += plugin_projectexplorer
plugin_genericprojectmanager.depends += plugin_cpptools
plugin_genericprojectmanager.depends += plugin_cppeditor
plugin_duieditor.subdir = duieditor
plugin_duieditor.depends = plugin_texteditor
plugin_duieditor.depends += plugin_coreplugin
plugin_qmleditor.subdir = qmleditor
plugin_qmleditor.depends = plugin_texteditor
plugin_qmleditor.depends += plugin_coreplugin
plugin_qmlprojectmanager.subdir = qmlprojectmanager
plugin_qmlprojectmanager.depends = plugin_texteditor
plugin_qmlprojectmanager.depends += plugin_projectexplorer
plugin_qmlprojectmanager.depends += plugin_help
plugin_qmlprojectmanager.depends += plugin_duieditor
plugin_qmlprojectmanager.depends += plugin_qmleditor
<?xml version="1.0"?>
<mime-info xmlns='http://www.freedesktop.org/standards/shared-mime-info'>
<mime-type type="application/x-dui">
<mime-type type="application/x-qml">
<sub-class-of type="text/plain"/>
<comment>QML file</comment>
<glob pattern="*.qml"/>
......
<plugin name="DuiEditor" version="1.2.91" compatVersion="1.2.91">
<plugin name="QmlEditor" version="1.2.91" compatVersion="1.2.91">
<vendor>Nokia Corporation</vendor>
<copyright>(C) 2008-2009 Nokia Corporation</copyright>
<license>
......@@ -16,7 +16,7 @@ General Public License version 2.1 as published by the Free Software
Foundation. Please review the following information to
ensure the GNU Lesser General Public License version 2.1 requirements
will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.</license>
<description>Editor for DUI.</description>
<description>Editor for QML.</description>
<url>http://qt.nokia.com</url>
<dependencyList>
<dependency name="Core" version="1.2.91"/>
......
......@@ -4,8 +4,8 @@
using namespace QmlJS;
using namespace QmlJS::AST;
using namespace DuiEditor;
using namespace DuiEditor::Internal;
using namespace QmlEditor;
using namespace QmlEditor::Internal;
QMap<QString, QmlIdSymbol*> IdCollector::operator()(const QString &fileName, QmlJS::AST::UiProgram *ast)
{
......
......@@ -9,7 +9,7 @@
#include "qmljsastvisitor_p.h"
#include "qmlsymbol.h"
namespace DuiEditor {
namespace QmlEditor {
namespace Internal {
class IdCollector: protected QmlJS::AST::Visitor
......@@ -35,6 +35,6 @@ private:
};
} // namespace Internal
} // namespace DuiEditor
} // namespace QmlEditor
#endif // IDCOLLECTOR_H
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment